import inspect

def f(*args, **kwargs):
    print(kwargs)

class SquareNumber(int):
    def __new__(cls):
        return super().__new__(cls)


class Test:
    def __new__(cls, *args):
        print(args[0])
        return super().__new__(cls)

    def __init__(self, first_arg: str = 'first', second_arg: str = 'second' ):
        self.name = first_arg

if __name__ == '__main__':
    t = Test(first_arg = 'hello', second_arg = 'world')
